/*!
 * \file
 * \brief UnitTest++ checks specialized for IT++ matrices.
 * \author Vaclav Barta.
 *
 * -----------------------------------
 * BDM++ - C++ library for Bayesian Decision Making under Uncertainty
 *
 * Using IT++ for numerical operations
 * -----------------------------------
 */

#ifndef MAT_CHECKS_H
#define MAT_CHECKS_H

#include "../bdm/itpp_ext.h"
#include "UnitTest++.h"

namespace UnitTest
{
  bool AreClose(const itpp::vec &expected, const itpp::vec &actual,
		double tolerance);

  bool AreClose(const itpp::mat &expected, const itpp::mat &actual,
		double tolerance);
}

#endif
